---
Name: Picard
URL: http://broadinstitute.github.io/picard/
Description: >
    Picard is a set of Java command line tools for manipulating high-throughput
    sequencing data.
---

The Picard module parses results generated by
[Picard](http://broadinstitute.github.io/picard/),
a set of Java command line tools for manipulating high-throughput
sequencing data.

Supported commands:

* `MarkDuplicates`
* `InsertSizeMetrics`
* `GcBiasMetrics`
* `HsMetrics`
* `OxoGMetrics`
* `BaseDistributionByCycl`
* `RnaSeqMetrics`
* `AlignmentSummaryMetrics`
* `RrbsSummaryMetrics`

#### Coverage Levels
It's possible to customise the HsMetrics _"Target Bases 30X"_ coverage and
WgsMetrics _"Fraction of Bases over 30X"_ that are
shown in the general statistics table. This must correspond to field names in the
picard report, such as `PCT_TARGET_BASES_2X` / `PCT_10X`. Any numbers not found in the
reports will be ignored.

The coverage levels available for HsMetrics are
[typically](http://broadinstitute.github.io/picard/picard-metric-definitions.html#HsMetrics)
1, 2, 10, 20, 30, 40, 50 and 100X.

The coverage levels available for WgsMetrics are
[typically](http://broadinstitute.github.io/picard/picard-metric-definitions.html#CollectWgsMetrics.WgsMetrics)
1, 5, 10, 15, 20, 25, 30, 40, 50, 60, 70, 80, 90 and 100X.

To customise this, add the following to your MultiQC config:
```yaml
picard_config:
    general_stats_target_coverage:
        - 10
        - 50
```
